OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Finding a set of similar Objects covering at least a CPU set

## Functions
static __hwloc_inline hwloc_obj_t | hwloc_get_next_obj_covering_cpuset_by_depth (hwloc_topology_t topology, hwloc_const_cpuset_t set, unsigned depth, hwloc_obj_t prev)
| Iterate through same-depth objects covering at least CPU set `set`. More...
static __hwloc_inline hwloc_obj_t | hwloc_get_next_obj_covering_cpuset_by_type (hwloc_topology_t topology, hwloc_const_cpuset_t set, hwloc_obj_type_t type, hwloc_obj_t prev)
| Iterate through same-type objects covering at least CPU set `set`. More...

## Detailed Description

## Function Documentation

static __hwloc_inline hwloc_obj_t hwloc_get_next_obj_covering_cpuset_by_depth | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | set,
|  | unsigned | depth,
|  | hwloc_obj_t | prev
| ) |  |
| static

Iterate through same-depth objects covering at least CPU set `set`.

If object `prev` is `NULL`, return the first object at depth `depth` covering at least part of CPU set `set`. The next invokation should pass the previous return value in `prev` so as to obtain the next object covering at least another part of `set`.

References hwloc_obj::cpuset, hwloc_bitmap_intersects(), hwloc_get_next_obj_by_depth(), and hwloc_obj::next_cousin.

Referenced by hwloc_cpuset_to_nodeset(), hwloc_cpuset_to_nodeset_strict(), and hwloc_get_next_obj_covering_cpuset_by_type().

static __hwloc_inline hwloc_obj_t hwloc_get_next_obj_covering_cpuset_by_type | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | set,
|  | hwloc_obj_type_t | type,
|  | hwloc_obj_t | prev
| ) |  |
| static

Iterate through same-type objects covering at least CPU set `set`.

If object `prev` is `NULL`, return the first object of type `type` covering at least part of CPU set `set`. The next invokation should pass the previous return value in `prev` so as to obtain the next object of type `type` covering at least another part of `set`.

If there are no or multiple depths for type `type`, `NULL` is returned. The caller may fallback to hwloc_get_next_obj_covering_cpuset_by_depth() for each depth.

References hwloc_obj::depth, hwloc_get_next_obj_covering_cpuset_by_depth(), hwloc_get_type_depth(), HWLOC_TYPE_DEPTH_MULTIPLE, and HWLOC_TYPE_DEPTH_UNKNOWN.

Referenced by hwloc_cpuset_to_linux_libnuma_bitmask(), and hwloc_cpuset_to_linux_libnuma_ulongs().